Jump to content

IBACK

Members
  • Content Count

    7
  • Joined

  • Last visited

Community Reputation

0 Neutral

About IBACK

  • Rank
    Newbie
  1. Hi everybody, I've a problem with display of FO:TABLE. This is the source : <?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/format" xmlns:cal="xalan//java.util.GregorianCalendar" version="2.0"> <xsl:output method="html" indent="yes" />... <xsl:template match="Lignes"> <fo:layout-master-set> <fo:simple-page-master margin-right="20mm" margin-left="20mm" margin-bottom="20mm" margin-top="20mm" page-width="200mm" page-height="300mm" master-name="mainPage">
  2. ok i modified my stylesheet : <?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/format" xmlns:cal="xalan//java.util.GregorianCalendar" version="2.0"> <xsl:output method="html" indent="yes" />... <xsl:template name="getMonth"> <xsl:param name="monthNbr" /> <xsl:choose> <xsl:when test="$monthNbr=1"> Janvier </xsl:when> <xsl:when test="$monthNbr=2"> FĂ©vrier </xsl:when> <xsl:when test="$monthNbr=3"> M
  3. My application is a commercial JavaFX application. I prefer to choice a free processor.. SAXON requires a particular license... Do you know (for Java) a free processor which supports XSLT / XPath 2.0 ?
  4. My error message is it linked with the fact that built-in XSLT processor Xalan does not work as it is an XSLT 1.0 processor ?
  5. "Which XSLT 2.0 processor do you use ?" In fact, none. "Don't you get some more detailed information like the line number in your code where the error occurs?" This is my code : package test.xsl;import javax.xml.transform.OutputKeys;import javax.xml.transform.Result;import javax.xml.transform.Source;import javax.xml.transform.Transformer;import javax.xml.transform.TransformerFactory;import javax.xml.transform.stream.StreamResult;import javax.xml.transform.stream.StreamSource;public class XMLwithXSLT { public static void main(String[] args) throws Exception { Source source = ne
  6. Hi everybody, I try to implement and to show the current date in my stylesheet, but I obtain this error message during the compilation : ERROR: 'Impossible to compile the stylesheet' FATAL ERROR: 'Error during the verification of type of expression 'funcall(current-date, [])'.' :Error during the verification of type of expression 'funcall(current-date, [])'. This is an extract of my stylesheet : <?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"> <xsl:output method="html" indent="yes" /&g
  7. Hello, my config is : windows server 2008 R2, WAMPP, PHP 5.3.0 with SOAP extension enabled. when i use __soapCall, i obtain this error on screen : Wrong Version this is the code (i use local copy of WSDL - service.xml) : $header = new SoapHeader("...."); $file = 'http://www.mysite/service.xml';try {$soapclient = new SoapClient(null, array( 'location' => $file, 'uri' => "http://www.mysite/", 'trace' => 1));$soapclient->__setSOAPHeaders(array($header));} catch (SoapFault $e) { // error }...$parameters = array(...); $params=array(null, new SoapParam($parameters, 'parameters'));$
×
×
  • Create New...